
#import "KMUser.h"

@implementation KMUser

static KMUser *user = nil;

+ (instancetype)currentUser {
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        if (!user) {
            user = [[self alloc] init];
        }
    });
    return user;
}

- (instancetype)init {
    self = [super init];
    if (self) {
        _username = [NSUserDefaults.standardUserDefaults objectForKey:@"usernameKey"];
        _password = [NSUserDefaults.standardUserDefaults objectForKey:@"passwordKey"];
    }
    return self;
}

- (void)setUsername:(NSString *)username {
    [NSUserDefaults.standardUserDefaults setObject:username forKey:@"usernameKey"];
    _username = username;
}

- (void)setPassword:(NSString *)password {
    [NSUserDefaults.standardUserDefaults setObject:password forKey:@"passwordKey"];
    _password = password;
}

@end
