//
//  UIViewController+HUD.m
//  KamengKitDemo
//
//  Created by Chauncy_X on 2017/8/31.
//  Copyright © 2017年 Chauncy_X. All rights reserved.
//

#import "UIViewController+HUD.h"
#import "MBProgressHUD.h"
#import <objc/runtime.h>

static char const *kHUDKey = "indicatorHUDKey";

@implementation UIViewController (HUD)

- (void)indicatorStartAnimate:(NSString *)text {
    UIView *view = self.navigationController ? self.navigationController.view : self.view.superview;
    MBProgressHUD *hud = [MBProgressHUD showHUDAddedTo:view animated:YES];
    hud.label.text = text;
    hud.backgroundView.style = MBProgressHUDBackgroundStyleSolidColor;
    hud.backgroundView.color = [UIColor colorWithWhite:0.f alpha:0.1f];
    hud.bezelView.backgroundColor = [UIColor whiteColor];
    
    [self setProgressHUD:hud];
}

- (void)indicatorStopAnimate {
    MBProgressHUD *hud = [self progressHUD];
    if (hud) {
        [hud hideAnimated:YES];
    }
}


- (MBProgressHUD *)progressHUD {
    return objc_getAssociatedObject(self, kHUDKey);
}

- (void)setProgressHUD:(MBProgressHUD *)progressHUD {
    objc_setAssociatedObject(self, kHUDKey, progressHUD, OBJC_ASSOCIATION_RETAIN_NONATOMIC);
}

@end
