
#import "UIViewController+KMDemo.h"
#import <objc/runtime.h>
#import "KMHTTPManager.h"

@implementation UIViewController (KMKOrder)

static char *orderKey = "orderKey";

- (void)setOrder:(KMKOrder *) order {
    objc_setAssociatedObject(self, orderKey, order, OBJC_ASSOCIATION_RETAIN_NONATOMIC);
}

- (KMKOrder *)order {
    return objc_getAssociatedObject(self, orderKey);
}


- (void)addGiveUpButton:(SEL)action {
    self.navigationController.interactivePopGestureRecognizer.enabled = NO;
    UIBarButtonItem *giveUp = [[UIBarButtonItem alloc] initWithTitle:@"放弃" style:UIBarButtonItemStylePlain target:self action:action];
    
    self.navigationItem.leftBarButtonItem = giveUp;
}

@end


@implementation UIViewController (ShowAlert)

- (void)showAlertWithTitle:(NSString *)title message:(NSString *)message {
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:title ?: @"提示" message:message preferredStyle:UIAlertControllerStyleAlert];
    [alert addAction:[UIAlertAction actionWithTitle:@"确定" style:UIAlertActionStyleDefault handler:nil]];
    [self presentViewController:alert animated:YES completion:nil];
}

@end
